@extends('Layouts.adminLayout')
@section('title')
    |{{trans('langPanel.resumeInsert')}}
@endsection

@section('content')
    <div class="app-content content">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <div class="breadcrumb-wrapper col-12">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="index.html">{{trans('langPanel.panel')}}</a>
                                    </li>
                                    <li class="breadcrumb-item"><a href="#">{{trans('langPanel.resume')}}</a>
                                    </li>
                                    <li class="breadcrumb-item active"><a
                                            href="#">{{trans('langPanel.resumeInsert')}}</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="content-body">
                <!-- Basic Horizontal form layout section start -->
                <section id="basic-horizontal-layouts">
                    <div class="row match-height row justify-content-center">

                        <div class=" col-md-10 col-12">
                            <div class="card">
                                @include('Layouts.msg')

                                <div class="card-header">
                                    <h4 class="card-title">{{trans('langPanel.resumeInsert')}}</h4>
                                </div>
                                <div class="card-content">
                                    <div class="card-body">
                                        <form class="form-horizontal" method="POST"
                                              action="{{route('Admin.resumes.store')}}" enctype="multipart/form-data"
                                              novalidate>
                                            @CSRF
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>{{trans('langPanel.title')}}</label>
                                                        <div class="controls">
                                                            <input type="text" name="title" class="form-control"
                                                                   data-validation-required-message="{{trans('langPanel.inputTitle')}}"
                                                                   placeholder="{{trans('langPanel.inputTitle')}}"
                                                                   required>
                                                        </div>
                                                    </div>


                                                    <div class="form-group">
                                                        <label>{{trans('langPanel.type')}}</label>
                                                        <div class="controls">
                                                            <div class="form-group">
                                                                <select class="select2 form-control" name="type"
                                                                        id="type">


                                                                    <option
                                                                        value="0">{{trans('langPanel.learn')}}</option>
                                                                    <option
                                                                        value="1">{{trans('langPanel.working')}}</option>

                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">

                                                    <div class="form-group">
                                                        <label>{{trans('langPanel.start_date')}}</label>
                                                        <div class="controls">
                                                            <input type="text" name="start_date"
                                                                   class="form-control Datepick"
                                                                   data-validation-required-message="{{trans('langPanel.start_dateInput')}}"
                                                                   placeholder="{{trans('langPanel.start_dateInput')}}"
                                                                   required>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label>{{trans('langPanel.end_date')}}</label>
                                                        <div class="controls">
                                                            <input type="text" name="end_date"
                                                                   class="form-control Datepick"
                                                                   data-validation-required-message="{{trans('langPanel.end_dateInput')}}"
                                                                   placeholder="{{trans('langPanel.end_dateInput')}}"
                                                                   required>
                                                        </div>
                                                    </div>


                                                </div>


                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                       <textarea id="full-featured-non1" class="fullpremium"
                                                 name="text">

                                       </textarea>
                                                </div>
                                            </div>
                                            <div class="col-md-2 offset-md-10">
                                                <button type="submit"
                                                        class="btn btn-primary">{{trans('langPanel.insert')}}</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- // Basic Horizontal form layout section end -->


            </div>
        </div>
    </div>
@endsection


