

<?php $__env->startSection('content'); ?>
    <?php if(session()->has('error')): ?>
        <div class="alert alert-danger fade in alert-dismissable">
            <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>

    <h2>2. تنظیمات</h2>

    <form method="POST" action="<?php echo e(route('install.configuration.post')); ?>" class="form-horizontal">
        <?php echo e(csrf_field()); ?>


        <div class="box">
            <p>لطفا جزئیات اتصال دیتابیس خود را وارد کنید.</p>

            <div class="configure-form">
                <div class="form-group <?php echo e($errors->has('db.host') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="host">هاست <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="text" name="db[host]" value="<?php echo e(old('db.host', '127.0.0.1')); ?>" id="host" class="form-control" autofocus>

                        <?php echo $errors->first('db.host', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group <?php echo e($errors->has('db.port') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="port">پورت <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="text" name="db[port]" value="<?php echo e(old('db.port', '3306')); ?>" id="port" class="form-control">

                        <?php echo $errors->first('db.port', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group <?php echo e($errors->has('db.username') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="db-username">نام کاربری دیتابیس <span>*</span></label>
                    <div class="col-sm-9">
                        <input type="text" name="db[username]" value="<?php echo e(old('db.username')); ?>" id="db-username" class="form-control">

                        <?php echo $errors->first('db.username', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-sm-3" for="db-password">کلمه عبور دیتابیس </label>

                    <div class="col-sm-9">
                        <input type="password" name="db[password]" value="<?php echo e(old('db.password')); ?>" id="db-password" class="form-control">
                    </div>
                </div>

                <div class="form-group <?php echo e($errors->has('db.database') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="database">نام دیتابیس  <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="text" name="db[database]" value="<?php echo e(old('db.database')); ?>" id="database" class="form-control">

                        <?php echo $errors->first('db.database', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>
            </div>
        </div>

        <div class="box">
            <p>لطفاً یک نام کاربری و رمز عبور را برای مدیر وارد کنید.
            </p>

            <div class="configure-form">
                <div class="form-group <?php echo e($errors->has('admin.first_name') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="admin-first-name">نام<span>*</span></label>

                    <div class="col-sm-9">
                        <input type="text" name="admin[first_name]" value="<?php echo e(old('admin.first_name')); ?>" id="admin-first-name" class="form-control">

                        <?php echo $errors->first('admin.first_name', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group <?php echo e($errors->has('admin.last_name') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="admin-last-name">نام خانودگی <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="text" name="admin[last_name]" value="<?php echo e(old('admin.last_name')); ?>" id="admin-last-name" class="form-control">

                        <?php echo $errors->first('admin.last_name', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group <?php echo e($errors->has('admin.email') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="admin-email">ایمیل <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="text" name="admin[email]" value="<?php echo e(old('admin.email')); ?>" id="admin-email" class="form-control">

                        <?php echo $errors->first('admin.email', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group <?php echo e($errors->has('admin.password') ? 'has-error': ''); ?>">
                    <label class="control-label col-sm-3" for="admin-password">کلمه عبور <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="password" name="admin[password]" id="admin-password" class="form-control">

                        <?php echo $errors->first('admin.password', '<span class="help-block">:message</span>'); ?>

                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-sm-3" for="admin-confirm-password">تایید کلمه عبور <span>*</span></label>

                    <div class="col-sm-9">
                        <input type="password" name="admin[password_confirmation]" id="admin-confirm-password" class="form-control">
                    </div>
                </div>
            </div>
        </div>







































































        <div class="content-buttons clearfix">
            <button type="submit" class="btn btn-primary pull-right install-button">نصب</button>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        $('#store-search-engine').on('change', function () {
            $('#algolia-fields').toggleClass('hide');
        });

        $('.install-button').on('click', function (e) {
            var button = $(e.currentTarget);

            button.data('loading-text', button.html())
                .addClass('btn-loading')
                .button('loading');
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('install.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/weplancer/public_html/resources/views/install/configuration.blade.php ENDPATH**/ ?>